Last Comment Bug 658739 - Automatic addon compatibility check ran on and edited old version
: Automatic addon compatibility check ran on and edited old version
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Admin/Editor Tools (show other bugs)
: unspecified
: All All
: P3 major
: 6.0.12
Assigned To: Kumar McMillan [:kumar] (needinfo all the things)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 20:50 PDT by Dave Garrett
Modified: 2016-02-04 14:47 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Dave Garrett 2011-05-20 20:50:08 PDT
I just got this notification email:

============================================================

Dear add-on author,

Good news! Our automated tests did not detect any compatibility issues with your add-on Flagfox and Firefox 5. We've updated your add-on's compatibility to work with Firefox 5.* so that our beta users can begin using your add-on. Firefox 5 beta was released earlier today.

You can view the results of our compatibility check here
https://addons.mozilla.org/developers/addon/flagfox/validation-result/24150

This compatibility bump is server-side and we did not modify your add-on package in any way.

Though we did not detect any issues, we strongly encourage you to test your add-on in Firefox 5 and review the list of changes here:
https://developer.mozilla.org/en/Firefox_5_for_developers

For more information on our new compatibility process with rapid Firefox releases, please read this post:
http://blog.mozilla.com/addons/2011/04/19/add-on-compatibility-rapid-releases/

Thank you,
Firefox Add-ons team

============================================================

The current public Flagfox version is 4.1.2 which has a max Firefox version of 4.2a1pre in its install.rdf and a remote bump to 6.0a1 on AMO. The newest Flagfox version currently pending review is 4.1.3, which is listed as compatible with up to Firefox 6.0a2 in its install.rdf. (in between is a beta file, 4.1.3pre with the same max version setup as 4.1.2) So, two problems:

1) Both the current version and pending version are already listed as compatible.
2) Follow the link to the validation results and it shows that it worked on version 4.1.1.

It shouldn't be playing with an old version so I changed that back to 4.0.* as it was.

CCing fligtar as the recent activity log names you as the one who ran the update. If you're still running these tests, you may want to stop and check it's not going off on a tangent checking other addons' old files for no reason. :/
Comment 1 Justin Scott [:fligtar] 2011-05-20 21:04:37 PDT
Yeah, I saw this happen with the Add-on Compatibility Reporter too. It's probably a little confusing for people at first because it sounds like we downgraded their add-on when it was really an older version.

Kumar: I ran a job for 4.2a1pre -> 5.* and it looks like it found older versions that were 4.2a1pre compatible even though the latest version had higher compatibility.

So there's not really any harm done but it's confusing.
Comment 2 Kumar McMillan [:kumar] (needinfo all the things) 2011-05-21 11:53:50 PDT
Ah, right, we were only checking for latest public versions matching 4.2a1pre but we probably need to check for latest versions with higher compatibility
Comment 3 Kumar McMillan [:kumar] (needinfo all the things) 2011-05-27 10:10:08 PDT
Fixed in https://github.com/jbalogh/zamboni/commit/d5fc57fd29155b8f55c968414667f2ee495c9b6f

This adds some new behavior to the compatibility check:
* Latest addon versions that are >= current and < target are selected for validation/upgrade now.  Before, only versions == current were selected.  This should catch newer addons that still need a bump.
* If there are public addon versions that *already* support a newer version of Firefox then nothing is auto upgraded at all.

Note You need to log in before you can comment on or make changes to this bug.